Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - ~ -

- ~AbstractAllTermDocs() : Lucene::AbstractAllTermDocs
- ~AbstractField() : Lucene::AbstractField
- ~AcceptAllSinkFilter() : Lucene::AcceptAllSinkFilter
- ~AllTermDocs() : Lucene::AllTermDocs
- ~Analyzer() : Lucene::Analyzer
- ~ArrayData() : Lucene::ArrayData< TYPE >
- ~ASCIIFoldingFilter() : Lucene::ASCIIFoldingFilter
- ~Attribute() : Lucene::Attribute
- ~AttributeFactory() : Lucene::AttributeFactory
- ~AttributeSource() : Lucene::AttributeSource
- ~AttributeSourceState() : Lucene::AttributeSourceState
- ~AveragePayloadFunction() : Lucene::AveragePayloadFunction
- ~Base64() : Lucene::Base64
- ~BaseCharFilter() : Lucene::BaseCharFilter
- ~BitSet() : Lucene::BitSet
- ~BitUtil() : Lucene::BitUtil
- ~BitVector() : Lucene::BitVector
- ~BooleanClause() : Lucene::BooleanClause
- ~BooleanQuery() : Lucene::BooleanQuery
- ~BooleanScorer() : Lucene::BooleanScorer
- ~BooleanScorer2() : Lucene::BooleanScorer2
- ~BooleanScorerCollector() : Lucene::BooleanScorerCollector
- ~Bucket() : Lucene::Bucket
- ~BucketScorer() : Lucene::BucketScorer
- ~BucketTable() : Lucene::BucketTable
- ~BufferedDeletes() : Lucene::BufferedDeletes
- ~BufferedIndexInput() : Lucene::BufferedIndexInput
- ~BufferedIndexOutput() : Lucene::BufferedIndexOutput
- ~BufferedReader() : Lucene::BufferedReader
- ~ByteBlockAllocator() : Lucene::ByteBlockAllocator
- ~ByteBlockPool() : Lucene::ByteBlockPool
- ~ByteBlockPoolAllocatorBase() : Lucene::ByteBlockPoolAllocatorBase
- ~ByteCache() : Lucene::ByteCache
- ~ByteComparator() : Lucene::ByteComparator
- ~ByteFieldSource() : Lucene::ByteFieldSource
- ~ByteParser() : Lucene::ByteParser
- ~ByteSliceReader() : Lucene::ByteSliceReader
- ~ByteSliceWriter() : Lucene::ByteSliceWriter
- ~Cache() : Lucene::Cache
- ~CachingSpanFilter() : Lucene::CachingSpanFilter
- ~CachingTokenFilter() : Lucene::CachingTokenFilter
- ~CachingWrapperFilter() : Lucene::CachingWrapperFilter
- ~CharArraySet() : Lucene::CharArraySet
- ~CharBlockPool() : Lucene::CharBlockPool
- ~CharFilter() : Lucene::CharFilter
- ~CharFolder() : Lucene::CharFolder
- ~CharReader() : Lucene::CharReader
- ~CharStream() : Lucene::CharStream
- ~CharTokenizer() : Lucene::CharTokenizer
- ~CheckAbort() : Lucene::CheckAbort
- ~CheckAbortNull() : Lucene::CheckAbortNull
- ~CheckIndex() : Lucene::CheckIndex
- ~ChecksumIndexInput() : Lucene::ChecksumIndexInput
- ~ChecksumIndexOutput() : Lucene::ChecksumIndexOutput
- ~Collator() : Lucene::Collator
- ~Collection() : Lucene::Collection< TYPE >
- ~Collector() : Lucene::Collector
- ~CommitPoint() : Lucene::CommitPoint
- ~ComplexExplanation() : Lucene::ComplexExplanation
- ~CompoundFileReader() : Lucene::CompoundFileReader
- ~CompoundFileWriter() : Lucene::CompoundFileWriter
- ~CompressionTools() : Lucene::CompressionTools
- ~ConcurrentMergeScheduler() : Lucene::ConcurrentMergeScheduler
- ~ConjunctionScorer() : Lucene::ConjunctionScorer
- ~Constants() : Lucene::Constants
- ~ConstantScoreAutoRewrite() : Lucene::ConstantScoreAutoRewrite
- ~ConstantScoreQuery() : Lucene::ConstantScoreQuery
- ~Coordinator() : Lucene::Coordinator
- ~CountingConjunctionSumScorer() : Lucene::CountingConjunctionSumScorer
- ~CountingDisjunctionSumScorer() : Lucene::CountingDisjunctionSumScorer
- ~CreationPlaceholder() : Lucene::CreationPlaceholder
- ~CSIndexInput() : Lucene::CSIndexInput
- ~CustomScoreProvider() : Lucene::CustomScoreProvider
- ~CustomScoreQuery() : Lucene::CustomScoreQuery
- ~CycleCheck() : Lucene::CycleCheck
- ~CycleCheckT() : Lucene::CycleCheckT< TYPE >
- ~DateField() : Lucene::DateField
- ~DateTools() : Lucene::DateTools
- ~DefaultAttributeFactory() : Lucene::DefaultAttributeFactory
- ~DefaultIndexingChain() : Lucene::DefaultIndexingChain
- ~DefaultSimilarity() : Lucene::DefaultSimilarity
- ~DefaultSkipListReader() : Lucene::DefaultSkipListReader
- ~DefaultSkipListWriter() : Lucene::DefaultSkipListWriter
- ~Directory() : Lucene::Directory
- ~DirectoryReader() : Lucene::DirectoryReader
- ~DisjunctionMaxQuery() : Lucene::DisjunctionMaxQuery
- ~DisjunctionMaxScorer() : Lucene::DisjunctionMaxScorer
- ~DisjunctionSumScorer() : Lucene::DisjunctionSumScorer
- ~DocComparator() : Lucene::DocComparator
- ~DocConsumer() : Lucene::DocConsumer
- ~DocConsumerPerThread() : Lucene::DocConsumerPerThread
- ~DocFieldConsumer() : Lucene::DocFieldConsumer
- ~DocFieldConsumerPerField() : Lucene::DocFieldConsumerPerField
- ~DocFieldConsumerPerThread() : Lucene::DocFieldConsumerPerThread
- ~DocFieldConsumers() : Lucene::DocFieldConsumers
- ~DocFieldConsumersPerDoc() : Lucene::DocFieldConsumersPerDoc
- ~DocFieldConsumersPerField() : Lucene::DocFieldConsumersPerField
- ~DocFieldConsumersPerThread() : Lucene::DocFieldConsumersPerThread
- ~DocFieldProcessor() : Lucene::DocFieldProcessor
- ~DocFieldProcessorPerField() : Lucene::DocFieldProcessorPerField
- ~DocFieldProcessorPerThread() : Lucene::DocFieldProcessorPerThread
- ~DocFieldProcessorPerThreadPerDoc() : Lucene::DocFieldProcessorPerThreadPerDoc
- ~DocIdBitSet() : Lucene::DocIdBitSet
- ~DocIdSet() : Lucene::DocIdSet
- ~DocIdSetIterator() : Lucene::DocIdSetIterator
- ~DocInverter() : Lucene::DocInverter
- ~DocInverterPerField() : Lucene::DocInverterPerField
- ~DocInverterPerThread() : Lucene::DocInverterPerThread
- ~DocState() : Lucene::DocState
- ~Document() : Lucene::Document
- ~DocumentsWriter() : Lucene::DocumentsWriter
- ~DocumentsWriterThreadState() : Lucene::DocumentsWriterThreadState
- ~DocValues() : Lucene::DocValues
- ~DocWriter() : Lucene::DocWriter
- ~DoubleCache() : Lucene::DoubleCache
- ~DoubleComparator() : Lucene::DoubleComparator
- ~DoubleDocValues() : Lucene::DoubleDocValues
- ~DoubleFieldSource() : Lucene::DoubleFieldSource
- ~DoubleParser() : Lucene::DoubleParser
- ~Entry() : Lucene::Entry
- ~ExactPhraseScorer() : Lucene::ExactPhraseScorer
- ~Explanation() : Lucene::Explanation
- ~FastCharStream() : Lucene::FastCharStream
- ~Field() : Lucene::Field
- ~Fieldable() : Lucene::Fieldable
- ~FieldCache() : Lucene::FieldCache
- ~FieldCacheEntry() : Lucene::FieldCacheEntry
- ~FieldCacheEntryImpl() : Lucene::FieldCacheEntryImpl
- ~FieldCacheImpl() : Lucene::FieldCacheImpl
- ~FieldCacheRangeFilter() : Lucene::FieldCacheRangeFilter
- ~FieldCacheSanityChecker() : Lucene::FieldCacheSanityChecker
- ~FieldCacheSource() : Lucene::FieldCacheSource
- ~FieldCacheTermsFilter() : Lucene::FieldCacheTermsFilter
- ~FieldComparator() : Lucene::FieldComparator
- ~FieldComparatorSource() : Lucene::FieldComparatorSource
- ~FieldDoc() : Lucene::FieldDoc
- ~FieldDocSortedHitQueue() : Lucene::FieldDocSortedHitQueue
- ~FieldInfo() : Lucene::FieldInfo
- ~FieldInfos() : Lucene::FieldInfos
- ~FieldInvertState() : Lucene::FieldInvertState
- ~FieldMaskingSpanQuery() : Lucene::FieldMaskingSpanQuery
- ~FieldNormStatus() : Lucene::FieldNormStatus
- ~FieldScoreQuery() : Lucene::FieldScoreQuery
- ~FieldSelector() : Lucene::FieldSelector
- ~FieldSortedTermVectorMapper() : Lucene::FieldSortedTermVectorMapper
- ~FieldsReader() : Lucene::FieldsReader
- ~FieldsWriter() : Lucene::FieldsWriter
- ~FieldValueHitQueue() : Lucene::FieldValueHitQueue
- ~FieldValueHitQueueEntry() : Lucene::FieldValueHitQueueEntry
- ~FileReader() : Lucene::FileReader
- ~FileSwitchDirectory() : Lucene::FileSwitchDirectory
- ~Filter() : Lucene::Filter
- ~FilteredDocIdSet() : Lucene::FilteredDocIdSet
- ~FilteredDocIdSetIterator() : Lucene::FilteredDocIdSetIterator
- ~FilteredQuery() : Lucene::FilteredQuery
- ~FilteredTermEnum() : Lucene::FilteredTermEnum
- ~FilterIndexReader() : Lucene::FilterIndexReader
- ~FilterManager() : Lucene::FilterManager
- ~FilterTermDocs() : Lucene::FilterTermDocs
- ~FilterTermEnum() : Lucene::FilterTermEnum
- ~FilterTermPositions() : Lucene::FilterTermPositions
- ~FlagsAttribute() : Lucene::FlagsAttribute
- ~FormatPostingsDocsConsumer() : Lucene::FormatPostingsDocsConsumer
- ~FormatPostingsDocsWriter() : Lucene::FormatPostingsDocsWriter
- ~FormatPostingsFieldsConsumer() : Lucene::FormatPostingsFieldsConsumer
- ~FormatPostingsFieldsWriter() : Lucene::FormatPostingsFieldsWriter
- ~FormatPostingsPositionsConsumer() : Lucene::FormatPostingsPositionsConsumer
- ~FormatPostingsPositionsWriter() : Lucene::FormatPostingsPositionsWriter
- ~FormatPostingsTermsConsumer() : Lucene::FormatPostingsTermsConsumer
- ~FormatPostingsTermsWriter() : Lucene::FormatPostingsTermsWriter
- ~FreqProxFieldMergeState() : Lucene::FreqProxFieldMergeState
- ~FreqProxTermsWriter() : Lucene::FreqProxTermsWriter
- ~FreqProxTermsWriterPerField() : Lucene::FreqProxTermsWriterPerField
- ~FreqProxTermsWriterPerThread() : Lucene::FreqProxTermsWriterPerThread
- ~FreqProxTermsWriterPostingList() : Lucene::FreqProxTermsWriterPostingList
- ~FSDirectory() : Lucene::FSDirectory
- ~FSLockFactory() : Lucene::FSLockFactory
- ~Future() : Lucene::Future
- ~FuzzyQuery() : Lucene::FuzzyQuery
- ~FuzzyTermEnum() : Lucene::FuzzyTermEnum
- ~HashMap() : Lucene::HashMap< KEY, VALUE, HASH, EQUAL >
- ~HashSet() : Lucene::HashSet< TYPE, HASH, EQUAL >
- ~HitQueue() : Lucene::HitQueue
- ~HitQueueBase() : Lucene::HitQueueBase
- ~IDFExplanation() : Lucene::IDFExplanation
- ~IndexCommit() : Lucene::IndexCommit
- ~IndexDeletionPolicy() : Lucene::IndexDeletionPolicy
- ~IndexFileDeleter() : Lucene::IndexFileDeleter
- ~IndexFileNames() : Lucene::IndexFileNames
- ~IndexingChain() : Lucene::IndexingChain
- ~IndexInput() : Lucene::IndexInput
- ~IndexOutput() : Lucene::IndexOutput
- ~IndexReader() : Lucene::IndexReader
- ~IndexReaderWarmer() : Lucene::IndexReaderWarmer
- ~IndexSearcher() : Lucene::IndexSearcher
- ~IndexStatus() : Lucene::IndexStatus
- ~IndexWriter() : Lucene::IndexWriter
- ~InfoStream() : Lucene::InfoStream
- ~InfoStreamFile() : Lucene::InfoStreamFile
- ~InfoStreamNull() : Lucene::InfoStreamNull
- ~InfoStreamOut() : Lucene::InfoStreamOut
- ~InputStreamReader() : Lucene::InputStreamReader
- ~Insanity() : Lucene::Insanity
- ~IntBlockPool() : Lucene::IntBlockPool
- ~IntCache() : Lucene::IntCache
- ~IntComparator() : Lucene::IntComparator
- ~IntFieldSource() : Lucene::IntFieldSource
- ~IntParser() : Lucene::IntParser
- ~IntRangeBuilder() : Lucene::IntRangeBuilder
- ~InvertedDocConsumer() : Lucene::InvertedDocConsumer
- ~InvertedDocConsumerPerField() : Lucene::InvertedDocConsumerPerField
- ~InvertedDocConsumerPerThread() : Lucene::InvertedDocConsumerPerThread
- ~InvertedDocEndConsumer() : Lucene::InvertedDocEndConsumer
- ~InvertedDocEndConsumerPerField() : Lucene::InvertedDocEndConsumerPerField
- ~InvertedDocEndConsumerPerThread() : Lucene::InvertedDocEndConsumerPerThread
- ~ISOLatin1AccentFilter() : Lucene::ISOLatin1AccentFilter
- ~KeepOnlyLastCommitDeletionPolicy() : Lucene::KeepOnlyLastCommitDeletionPolicy
- ~KeywordAnalyzer() : Lucene::KeywordAnalyzer
- ~KeywordTokenizer() : Lucene::KeywordTokenizer
- ~LazyField() : Lucene::LazyField
- ~LengthFilter() : Lucene::LengthFilter
- ~LetterTokenizer() : Lucene::LetterTokenizer
- ~LoadFirstFieldSelector() : Lucene::LoadFirstFieldSelector
- ~Lock() : Lucene::Lock
- ~LockFactory() : Lucene::LockFactory
- ~LogByteSizeMergePolicy() : Lucene::LogByteSizeMergePolicy
- ~LogDocMergePolicy() : Lucene::LogDocMergePolicy
- ~LogMergePolicy() : Lucene::LogMergePolicy
- ~LongCache() : Lucene::LongCache
- ~LongComparator() : Lucene::LongComparator
- ~LongParser() : Lucene::LongParser
- ~LongRangeBuilder() : Lucene::LongRangeBuilder
- ~LowerCaseFilter() : Lucene::LowerCaseFilter
- ~LowerCaseTokenizer() : Lucene::LowerCaseTokenizer
- ~LuceneException() : Lucene::LuceneException
- ~LuceneObject() : Lucene::LuceneObject
- ~LuceneSignal() : Lucene::LuceneSignal
- ~LuceneSync() : Lucene::LuceneSync
- ~LuceneThread() : Lucene::LuceneThread
- ~LuceneVersion() : Lucene::LuceneVersion
- ~Map() : Lucene::Map< KEY, VALUE, LESS >
- ~MapFieldSelector() : Lucene::MapFieldSelector
- ~MappingCharFilter() : Lucene::MappingCharFilter
- ~MatchAllDocsQuery() : Lucene::MatchAllDocsQuery
- ~MaxPayloadFunction() : Lucene::MaxPayloadFunction
- ~MergeDocIDRemapper() : Lucene::MergeDocIDRemapper
- ~MergePolicy() : Lucene::MergePolicy
- ~MergeScheduler() : Lucene::MergeScheduler
- ~MergeSpecification() : Lucene::MergeSpecification
- ~MinPayloadFunction() : Lucene::MinPayloadFunction
- ~MMapDirectory() : Lucene::MMapDirectory
- ~MultiFieldQueryParser() : Lucene::MultiFieldQueryParser
- ~MultiLevelSkipListReader() : Lucene::MultiLevelSkipListReader
- ~MultiLevelSkipListWriter() : Lucene::MultiLevelSkipListWriter
- ~MultiPhraseQuery() : Lucene::MultiPhraseQuery
- ~MultipleTermPositions() : Lucene::MultipleTermPositions
- ~MultiReader() : Lucene::MultiReader
- ~MultiSearcher() : Lucene::MultiSearcher
- ~MultiTermDocs() : Lucene::MultiTermDocs
- ~MultiTermEnum() : Lucene::MultiTermEnum
- ~MultiTermPositions() : Lucene::MultiTermPositions
- ~MultiTermQuery() : Lucene::MultiTermQuery
- ~MultiTermQueryWrapperFilter() : Lucene::MultiTermQueryWrapperFilter
- ~NativeFSLockFactory() : Lucene::NativeFSLockFactory
- ~NearSpansOrdered() : Lucene::NearSpansOrdered
- ~NearSpansUnordered() : Lucene::NearSpansUnordered
- ~NoLockFactory() : Lucene::NoLockFactory
- ~NormalizeCharMap() : Lucene::NormalizeCharMap
- ~NormsWriter() : Lucene::NormsWriter
- ~NormsWriterPerField() : Lucene::NormsWriterPerField
- ~NormsWriterPerThread() : Lucene::NormsWriterPerThread
- ~NumberTools() : Lucene::NumberTools
- ~NumericComparator() : Lucene::NumericComparator< TYPE >
- ~NumericField() : Lucene::NumericField
- ~NumericRangeFilter() : Lucene::NumericRangeFilter
- ~NumericRangeQuery() : Lucene::NumericRangeQuery
- ~NumericTokenStream() : Lucene::NumericTokenStream
- ~NumericUtils() : Lucene::NumericUtils
- ~OffsetAttribute() : Lucene::OffsetAttribute
- ~OneMerge() : Lucene::OneMerge
- ~OpenBitSet() : Lucene::OpenBitSet
- ~OpenBitSetDISI() : Lucene::OpenBitSetDISI
- ~OpenBitSetIterator() : Lucene::OpenBitSetIterator
- ~OrdFieldSource() : Lucene::OrdFieldSource
- ~ParallelArrayTermVectorMapper() : Lucene::ParallelArrayTermVectorMapper
- ~ParallelMultiSearcher() : Lucene::ParallelMultiSearcher
- ~ParallelReader() : Lucene::ParallelReader
- ~Parser() : Lucene::Parser
- ~Payload() : Lucene::Payload
- ~PayloadAttribute() : Lucene::PayloadAttribute
- ~PayloadFunction() : Lucene::PayloadFunction
- ~PayloadNearQuery() : Lucene::PayloadNearQuery
- ~PayloadNearSpanScorer() : Lucene::PayloadNearSpanScorer
- ~PayloadNearSpanWeight() : Lucene::PayloadNearSpanWeight
- ~PayloadSpanUtil() : Lucene::PayloadSpanUtil
- ~PayloadTermQuery() : Lucene::PayloadTermQuery
- ~PerDocBuffer() : Lucene::PerDocBuffer
- ~PerFieldAnalyzerWrapper() : Lucene::PerFieldAnalyzerWrapper
- ~PhrasePositions() : Lucene::PhrasePositions
- ~PhraseQuery() : Lucene::PhraseQuery
- ~PhraseQueue() : Lucene::PhraseQueue
- ~PhraseScorer() : Lucene::PhraseScorer
- ~PorterStemFilter() : Lucene::PorterStemFilter
- ~PorterStemmer() : Lucene::PorterStemmer
- ~PositionBasedTermVectorMapper() : Lucene::PositionBasedTermVectorMapper
- ~PositionIncrementAttribute() : Lucene::PositionIncrementAttribute
- ~PositionInfo() : Lucene::PositionInfo
- ~PositiveScoresOnlyCollector() : Lucene::PositiveScoresOnlyCollector
- ~PrefixFilter() : Lucene::PrefixFilter
- ~PrefixQuery() : Lucene::PrefixQuery
- ~PrefixTermEnum() : Lucene::PrefixTermEnum
- ~PriorityQueue() : Lucene::PriorityQueue< TYPE >
- ~PriorityQueueScoreDocs() : Lucene::PriorityQueueScoreDocs
- ~Query() : Lucene::Query
- ~QueryParseError() : Lucene::QueryParseError
- ~QueryParser() : Lucene::QueryParser
- ~QueryParserConstants() : Lucene::QueryParserConstants
- ~QueryParserToken() : Lucene::QueryParserToken
- ~QueryParserTokenManager() : Lucene::QueryParserTokenManager
- ~QueryTermVector() : Lucene::QueryTermVector
- ~QueryWrapperFilter() : Lucene::QueryWrapperFilter
- ~RAMDirectory() : Lucene::RAMDirectory
- ~RAMFile() : Lucene::RAMFile
- ~RAMInputStream() : Lucene::RAMInputStream
- ~RAMOutputStream() : Lucene::RAMOutputStream
- ~Random() : Lucene::Random
- ~RawPostingList() : Lucene::RawPostingList
- ~Reader() : Lucene::Reader
- ~ReaderCommit() : Lucene::ReaderCommit
- ~ReaderUtil() : Lucene::ReaderUtil
- ~ReadOnlyDirectoryReader() : Lucene::ReadOnlyDirectoryReader
- ~ReadOnlySegmentReader() : Lucene::ReadOnlySegmentReader
- ~RefCount() : Lucene::RefCount
- ~RelevanceComparator() : Lucene::RelevanceComparator
- ~ReqExclScorer() : Lucene::ReqExclScorer
- ~ReqOptSumScorer() : Lucene::ReqOptSumScorer
- ~ReusableStringReader() : Lucene::ReusableStringReader
- ~ReverseOrdFieldSource() : Lucene::ReverseOrdFieldSource
- ~RewriteMethod() : Lucene::RewriteMethod
- ~ScoreCachingWrappingScorer() : Lucene::ScoreCachingWrappingScorer
- ~ScoreDoc() : Lucene::ScoreDoc
- ~Scorer() : Lucene::Scorer
- ~ScorerDocQueue() : Lucene::ScorerDocQueue
- ~Searchable() : Lucene::Searchable
- ~Searcher() : Lucene::Searcher
- ~SegmentInfo() : Lucene::SegmentInfo
- ~SegmentInfoCollection() : Lucene::SegmentInfoCollection
- ~SegmentInfos() : Lucene::SegmentInfos
- ~SegmentInfoStatus() : Lucene::SegmentInfoStatus
- ~SegmentMergeInfo() : Lucene::SegmentMergeInfo
- ~SegmentMergeQueue() : Lucene::SegmentMergeQueue
- ~SegmentMerger() : Lucene::SegmentMerger
- ~SegmentReader() : Lucene::SegmentReader
- ~SegmentTermDocs() : Lucene::SegmentTermDocs
- ~SegmentTermEnum() : Lucene::SegmentTermEnum
- ~SegmentTermPositions() : Lucene::SegmentTermPositions
- ~SegmentTermPositionVector() : Lucene::SegmentTermPositionVector
- ~SegmentTermVector() : Lucene::SegmentTermVector
- ~SegmentWriteState() : Lucene::SegmentWriteState
- ~SerialMergeScheduler() : Lucene::SerialMergeScheduler
- ~Set() : Lucene::Set< TYPE, LESS >
- ~SetBasedFieldSelector() : Lucene::SetBasedFieldSelector
- ~Similarity() : Lucene::Similarity
- ~SimilarityDelegator() : Lucene::SimilarityDelegator
- ~SimpleAnalyzer() : Lucene::SimpleAnalyzer
- ~SimpleFSDirectory() : Lucene::SimpleFSDirectory
- ~SimpleFSLockFactory() : Lucene::SimpleFSLockFactory
- ~SimpleLRUCache() : Lucene::SimpleLRUCache< KEY, VALUE, HASH, EQUAL >
- ~SingleInstanceLockFactory() : Lucene::SingleInstanceLockFactory
- ~SingleMatchScorer() : Lucene::SingleMatchScorer
- ~SingleTermEnum() : Lucene::SingleTermEnum
- ~SingleTokenAttributeSource() : Lucene::SingleTokenAttributeSource
- ~SinkFilter() : Lucene::SinkFilter
- ~SinkTokenStream() : Lucene::SinkTokenStream
- ~SkipBuffer() : Lucene::SkipBuffer
- ~SkipDocWriter() : Lucene::SkipDocWriter
- ~SloppyPhraseScorer() : Lucene::SloppyPhraseScorer
- ~SmallDouble() : Lucene::SmallDouble
- ~SnapshotDeletionPolicy() : Lucene::SnapshotDeletionPolicy
- ~Sort() : Lucene::Sort
- ~SortedTermVectorMapper() : Lucene::SortedTermVectorMapper
- ~SortedVIntList() : Lucene::SortedVIntList
- ~SortField() : Lucene::SortField
- ~SpanFilter() : Lucene::SpanFilter
- ~SpanFilterResult() : Lucene::SpanFilterResult
- ~SpanFirstQuery() : Lucene::SpanFirstQuery
- ~SpanNearQuery() : Lucene::SpanNearQuery
- ~SpanNotQuery() : Lucene::SpanNotQuery
- ~SpanOrQuery() : Lucene::SpanOrQuery
- ~SpanQuery() : Lucene::SpanQuery
- ~SpanQueryFilter() : Lucene::SpanQueryFilter
- ~Spans() : Lucene::Spans
- ~SpanScorer() : Lucene::SpanScorer
- ~SpanTermQuery() : Lucene::SpanTermQuery
- ~SpanWeight() : Lucene::SpanWeight
- ~StandardAnalyzer() : Lucene::StandardAnalyzer
- ~StandardFilter() : Lucene::StandardFilter
- ~StandardTokenizer() : Lucene::StandardTokenizer
- ~StandardTokenizerImpl() : Lucene::StandardTokenizerImpl
- ~StartEnd() : Lucene::StartEnd
- ~StopAnalyzer() : Lucene::StopAnalyzer
- ~StopFilter() : Lucene::StopFilter
- ~StoredFieldStatus() : Lucene::StoredFieldStatus
- ~StoredFieldsWriter() : Lucene::StoredFieldsWriter
- ~StoredFieldsWriterPerDoc() : Lucene::StoredFieldsWriterPerDoc
- ~StoredFieldsWriterPerThread() : Lucene::StoredFieldsWriterPerThread
- ~StringCache() : Lucene::StringCache
- ~StringComparatorLocale() : Lucene::StringComparatorLocale
- ~StringIndex() : Lucene::StringIndex
- ~StringIndexCache() : Lucene::StringIndexCache
- ~StringOrdValComparator() : Lucene::StringOrdValComparator
- ~StringReader() : Lucene::StringReader
- ~StringValComparator() : Lucene::StringValComparator
- ~SubScorer() : Lucene::SubScorer
- ~Synchronize() : Lucene::Synchronize
- ~SyncLock() : Lucene::SyncLock
- ~TeeSinkTokenFilter() : Lucene::TeeSinkTokenFilter
- ~Term() : Lucene::Term
- ~TermAttribute() : Lucene::TermAttribute
- ~TermBuffer() : Lucene::TermBuffer
- ~TermEnum() : Lucene::TermEnum
- ~TermFreqVector() : Lucene::TermFreqVector
- ~TermIndexStatus() : Lucene::TermIndexStatus
- ~TermInfo() : Lucene::TermInfo
- ~TermInfosReader() : Lucene::TermInfosReader
- ~TermInfosReaderThreadResources() : Lucene::TermInfosReaderThreadResources
- ~TermInfosWriter() : Lucene::TermInfosWriter
- ~TermPositions() : Lucene::TermPositions
- ~TermPositionVector() : Lucene::TermPositionVector
- ~TermQuery() : Lucene::TermQuery
- ~TermRangeFilter() : Lucene::TermRangeFilter
- ~TermRangeQuery() : Lucene::TermRangeQuery
- ~TermRangeTermEnum() : Lucene::TermRangeTermEnum
- ~TermScorer() : Lucene::TermScorer
- ~TermsHash() : Lucene::TermsHash
- ~TermsHashConsumer() : Lucene::TermsHashConsumer
- ~TermsHashConsumerPerField() : Lucene::TermsHashConsumerPerField
- ~TermsHashConsumerPerThread() : Lucene::TermsHashConsumerPerThread
- ~TermsHashPerField() : Lucene::TermsHashPerField
- ~TermsHashPerThread() : Lucene::TermsHashPerThread
- ~TermSpans() : Lucene::TermSpans
- ~TermVectorEntry() : Lucene::TermVectorEntry
- ~TermVectorEntryFreqSortedComparator() : Lucene::TermVectorEntryFreqSortedComparator
- ~TermVectorMapper() : Lucene::TermVectorMapper
- ~TermVectorOffsetInfo() : Lucene::TermVectorOffsetInfo
- ~TermVectorsPositionInfo() : Lucene::TermVectorsPositionInfo
- ~TermVectorsReader() : Lucene::TermVectorsReader
- ~TermVectorStatus() : Lucene::TermVectorStatus
- ~TermVectorsTermsWriter() : Lucene::TermVectorsTermsWriter
- ~TermVectorsTermsWriterPerDoc() : Lucene::TermVectorsTermsWriterPerDoc
- ~TermVectorsTermsWriterPerField() : Lucene::TermVectorsTermsWriterPerField
- ~TermVectorsTermsWriterPerThread() : Lucene::TermVectorsTermsWriterPerThread
- ~TermVectorsTermsWriterPostingList() : Lucene::TermVectorsTermsWriterPostingList
- ~TermVectorsWriter() : Lucene::TermVectorsWriter
- ~TestPoint() : Lucene::TestPoint
- ~TestScope() : Lucene::TestScope
- ~ThreadPool() : Lucene::ThreadPool
- ~TimeLimitingCollector() : Lucene::TimeLimitingCollector
- ~Token() : Lucene::Token
- ~TokenAttributeFactory() : Lucene::TokenAttributeFactory
- ~TokenFilter() : Lucene::TokenFilter
- ~Tokenizer() : Lucene::Tokenizer
- ~TokenStream() : Lucene::TokenStream
- ~TopDocs() : Lucene::TopDocs
- ~TopDocsCollector() : Lucene::TopDocsCollector
- ~TopFieldCollector() : Lucene::TopFieldCollector
- ~TopFieldDocs() : Lucene::TopFieldDocs
- ~TopScoreDocCollector() : Lucene::TopScoreDocCollector
- ~TypeAttribute() : Lucene::TypeAttribute
- ~UnicodeResult() : Lucene::UnicodeResult
- ~UnicodeUtil() : Lucene::UnicodeUtil
- ~UTF16Decoder() : Lucene::UTF16Decoder
- ~UTF8Base() : Lucene::UTF8Base
- ~UTF8Decoder() : Lucene::UTF8Decoder
- ~UTF8DecoderStream() : Lucene::UTF8DecoderStream
- ~UTF8Encoder() : Lucene::UTF8Encoder
- ~UTF8EncoderStream() : Lucene::UTF8EncoderStream
- ~UTF8Result() : Lucene::UTF8Result
- ~ValueSource() : Lucene::ValueSource
- ~ValueSourceQuery() : Lucene::ValueSourceQuery
- ~WaitQueue() : Lucene::WaitQueue
- ~Weight() : Lucene::Weight
- ~WhitespaceAnalyzer() : Lucene::WhitespaceAnalyzer
- ~WhitespaceTokenizer() : Lucene::WhitespaceTokenizer
- ~WildcardQuery() : Lucene::WildcardQuery
- ~WildcardTermEnum() : Lucene::WildcardTermEnum
- ~WordlistLoader() : Lucene::WordlistLoader

clucene.sourceforge.net